#
# spec file for package abi-monitor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           abi-monitor
Version:        1.12
Release:        lp150.1.3
Summary:        A tool to monitor and build new versions of a software library
License:        GPL-2.0+ or LGPL-2.1+
Group:          Development/Tools/Other
Url:            https://github.com/lvc/abi-monitor
Source:         https://github.com/lvc/abi-monitor/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  help2man
Requires:       curl
Requires:       perl-base >= 5.8
Requires:       wget
# Recommends only, supports BuildScript configuration
Recommends:     automake
Recommends:     cmake
Recommends:     gcc
Recommends:     gcc-c++
BuildArch:      noarch

%description
Monitor new versions of a software library, try to build them
and create profiles for abi-tracker

%prep
%setup -q

%build
chmod 0755 %{name}.pl

%install
mkdir -vp %{buildroot}%{_prefix}
env \
	"DESTDIR=%{buildroot}"  \
	perl Makefile.pl -install \
	--prefix=%{_prefix}
# Generate man page with help2man
mkdir -p %{buildroot}%{_mandir}/man1
ln -s %{name}.pl %{name}
help2man -N -o %{name}.1 ./%{name}
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%doc GPL-2.0 LGPL-2.1 LICENSE README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/*

%changelog
* Sun Sep  3 2017 astieger@suse.com
- update to 1.12:
  * Added options of the profile:
    KeepMiniMult
    KeepMicroMult
  * Improved search for packages
  * Support for txz packages
  * Improved search for changelog
  * Fixed converter of static objects to shared
* Wed Jul  5 2017 astieger@suse.com
- update to 1.11:
  * Improve search for packages
  * Add CMakeConfigure and AutotoolsConfigure options
  * Fix filter of versions
  * Add -get-old option to download old source packages
  * Add OldSourceUrl, OldSourceUrlDepth, ConfigureGlobal and
    MakeGlobal options of the profile
  * Fix cleaning of the install tree
  * Fix SkipVersions option
  * Fix build of packages
  * Use Autotools scripts instead of CMake if available to build a
    package
  * Print CMake configure string to the log file
  * Clear install tree if build was interrupted by SIGINT
  * Add NumericBeta and SkipBuildErrors options of the profile
  * Fixed LetterReleases option of the profile.
  * Check objects for incompatible build options
  * Support for Mercurial
  * Improved support for autotools
  * Add -make option.
  * Add Branch and Install options
  * Fix CopyHeaders, CopyObjects, LocalBuild and BuildShared options
  * Add {BUILD_SUBDIR} parameter of the profile
  * Fix detection of the changelog
* Sun May 21 2017 astieger@suse.com
- initial version (1.10)
